<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">

	<style>
		
	.animation {
	background: #f00; /*1*/
	height: 150px;
	width: 150px;

	transition-duration: 500ms;           /*5*/
	transition-property: background;
	animation: animation 3s infinite alternate linear;
	}	

	.animation:hover {
		background: #ff0;                /*5*/
	}
	@keyframes animation {
		0% {
			transform: translate(0px); 
		}
		25% {
			transform: translateX(100px);      /*2*/
		}
		
		50% {
			transform: translateX(100px) translateY(100%) ; /*3*/
		}
		
		75%, 100% {
			transform: translateX(100px) translateY(100%) scale(2) rotate(145deg);   /*4*/
		}
	}

	</style>
	<title>animation</title>
</head>
<body>
	<div class="animation"></div>
</body>
</html>